org.apache.hadoop.mapreduce.jobhistory

## Class HistoryViewer.SummarizedJob

- java.lang.Object
- - org.apache.hadoop.mapreduce.jobhistory.HistoryViewer.SummarizedJob

- Enclosing class:
    HistoryViewer

      public static class HistoryViewer.SummarizedJob
      extends Object

  Utility class used the summarize the job. Used by HistoryViewer and the JobHistory UI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SummarizedJob(JobHistoryParser.JobInfo job)` Create summary information for the parsed job

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCleanupFinished()` Get number of cleanup tasks that finished
    `long` | `getCleanupStarted()` Get number of cleanup tasks started
    `long` | `getMapFinished()` Get number of maps that finished
    `long` | `getMapStarted()` Get number of maps that were started
    `int` | `getNumFailedCleanups()` Get number of failed cleanup tasks
    `int` | `getNumFailedMaps()` Get number of failed maps
    `int` | `getNumFailedReduces()` Get number of failed reduces
    `int` | `getNumFailedSetups()` Get number of failed set up tasks
    `int` | `getNumFinishedCleanups()` Get number of cleanup tasks that finished
    `int` | `getNumFinishedSetups()` Get number of finished set up tasks
    `int` | `getNumKilledCleanups()` Get number of killed cleanup tasks
    `int` | `getNumKilledMaps()` Get number of killed maps
    `int` | `getNumKilledReduces()` Get number of killed reduces
    `int` | `getNumKilledSetups()` Get number of killed set up tasks
    `long` | `getReduceFinished()` Get number of reducers that finished
    `long` | `getReduceStarted()` Get number of Reducers that were started
    `long` | `getSetupFinished()` Get number of setup tasks that finished
    `long` | `getSetupStarted()` Get number of setup tasks that started
    `int` | `getTotalCleanups()` Get number of clean up tasks
    `int` | `getTotalMaps()` Get total maps
    `int` | `getTotalReduces()` Get total reduces
    `int` | `getTotalSetups()` Get number of set up tasks

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SummarizedJob

          public SummarizedJob(JobHistoryParser.JobInfo job)

      Create summary information for the parsed job

  - ### Method Detail

    - #### getTotalMaps

          public int getTotalMaps()

      Get total maps

    - #### getTotalReduces

          public int getTotalReduces()

      Get total reduces

    - #### getTotalCleanups

          public int getTotalCleanups()

      Get number of clean up tasks

    - #### getTotalSetups

          public int getTotalSetups()

      Get number of set up tasks

    - #### getNumFailedMaps

          public int getNumFailedMaps()

      Get number of failed maps

    - #### getNumKilledMaps

          public int getNumKilledMaps()

      Get number of killed maps

    - #### getNumFailedReduces

          public int getNumFailedReduces()

      Get number of failed reduces

    - #### getNumKilledReduces

          public int getNumKilledReduces()

      Get number of killed reduces

    - #### getNumFinishedCleanups

          public int getNumFinishedCleanups()

      Get number of cleanup tasks that finished

    - #### getNumFailedCleanups

          public int getNumFailedCleanups()

      Get number of failed cleanup tasks

    - #### getNumKilledCleanups

          public int getNumKilledCleanups()

      Get number of killed cleanup tasks

    - #### getNumFinishedSetups

          public int getNumFinishedSetups()

      Get number of finished set up tasks

    - #### getNumFailedSetups

          public int getNumFailedSetups()

      Get number of failed set up tasks

    - #### getNumKilledSetups

          public int getNumKilledSetups()

      Get number of killed set up tasks

    - #### getMapStarted

          public long getMapStarted()

      Get number of maps that were started

    - #### getMapFinished

          public long getMapFinished()

      Get number of maps that finished

    - #### getReduceStarted

          public long getReduceStarted()

      Get number of Reducers that were started

    - #### getReduceFinished

          public long getReduceFinished()

      Get number of reducers that finished

    - #### getCleanupStarted

          public long getCleanupStarted()

      Get number of cleanup tasks started

    - #### getCleanupFinished

          public long getCleanupFinished()

      Get number of cleanup tasks that finished

    - #### getSetupStarted

          public long getSetupStarted()

      Get number of setup tasks that started

    - #### getSetupFinished

          public long getSetupFinished()

      Get number of setup tasks that finished

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.